org.eclipse.gef.layout.algorithms

## Class SugiyamaLayoutAlgorithm.NodeWrapper

- java.lang.Object
- - org.eclipse.gef.layout.algorithms.SugiyamaLayoutAlgorithm.NodeWrapper

Enclosing class:
  SugiyamaLayoutAlgorithm

    public static class SugiyamaLayoutAlgorithm.NodeWrapper
    extends java.lang.Object

Structure to store nodes and their positions in the layers. Furthermore predecessors and successors can be assigned to the nodes.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`